/****************************************************************************************

		Modeler.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	05/18/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		05/18/99	Jerome		Creation
		07/22/99	Mael		include .rsrc on MAC

*****************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "ModelerDef.h"
#include "interfaceids.h"
#include "MCFInterfaceIDs.h"


#ifndef qUsingResourceLinker
include "Modeler.rsr";
#endif


// ExternalModeler ressources -----------------------------------

resource 'COMP' (kModeler)
{
	kRID_ModuleFamilyID,
	kModelerID,
	"Modeler",
	"Assemble",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (kModeler)
{
	{
		R_IID_I3DExModule,
		R_CLSID_Modeler
	}
};

resource 'modu' (kModeler)
{
	0,						// Host window ID (here, main Perspective Window)
	0,						// Menu bar ID (MBAR)
	0,						// Tool bar ID (TBAR)
	0,						// Preferences PMAP resource ID
	0,						// Preferences View ID
	0,						// Default Preferences values resource ID (prfs)
	'PeRs',					// Workspace class signature
	kModeler,				// Minimized iconID
	-1,						// Window context menu ID (CMNU)
	'slav',					// Slave module
};

resource 'mdlr'	(kModeler)
{
	cannotEditPatches,
	cannotEditFacets,	
	{
		'MODp', isNative
	}
};

// Tree primitive resource --------------------------------------------------------------
resource 'COMP' (136)
{
	kRID_GeometricPrimitiveFamilyID,
	'MODp',
	"TreePrim",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (136)
{
	{
		R_IID_I3DExGeometricPrimitive,
		R_CLSID_TreePrim
	}
};

resource 'PMap' (136)
{
	{
		'NBBR' , 'in16',interpolate,"# Branche","",
		'ANGL' , 're32',interpolate,"Angle","",
		'FRAC' , 'in16',interpolate,"Recurs",""
	}
};


// External View ressources -----------------------------------

resource 'COMP' (kModelerView)
{
	'part',					 		// External View Family
	'MODv',							// Class ID  (User Data with ADLib)
	"ModelerView",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (kModelerView)
{
	{
		R_IID_IMFExPart,
		R_CLSID_ModelerView
	}
};